[arch-commits] Commit in weechat/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 3 12:01:54 EDT 2008


    Date: Sunday, August 3, 2008 @ 12:01:54
  Author: jgc
Revision: 7668

upgpkg: weechat 0.2.6-2
    Rebuild for GNUTLS

Modified:
  weechat/trunk/PKGBUILD

----------+
 PKGBUILD |   14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-03 16:01:27 UTC (rev 7667)
+++ PKGBUILD	2008-08-03 16:01:54 UTC (rev 7668)
@@ -4,23 +4,21 @@
 
 pkgname=weechat
 pkgver=0.2.6
-pkgrel=1
+pkgrel=2
 pkgdesc="Fast, light & extensible IRC client (curses UI)"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://weechat.flashtux.org/index.php?lang=en"
-depends=('perl' 'python>=2.5' 'ruby' 'gnutls' 'lua' 'aspell')
+depends=('perl>=5.10' 'python>=2.5' 'ruby' 'gnutls>=2.4.1' 'lua' 'aspell')
 source=(http://weechat.flashtux.org/download/$pkgname-$pkgver.tar.bz2)
 options=(!libtool)
-md5sums=('42f96620c3b2fd3dca9768d9ce16dd06')
+md5sums=('ccdecf663b0050a23049acb4b9a76193')
+sha1sums=('d31ca0b563941813a337aa91f38a8e80877b0d8b')
 
 build()
 {
   cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --with-debug=0 LDFLAGS="-lm -ldl"
+  ./configure --prefix=/usr --with-debug=0 LDFLAGS="-lm -ldl" || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 }
-
-md5sums=('ccdecf663b0050a23049acb4b9a76193')
-sha1sums=('d31ca0b563941813a337aa91f38a8e80877b0d8b')




More information about the arch-commits mailing list